This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### quad()
Examples |
    quad(38, 31, 86, 20, 69, 63, 30, 76);
Description | A quad is a quadrilateral, a four sided polygon. It is similar to a rectangle, but the angles between its edges are not constrained to ninety degrees. The first pair of parameters (x1,y1) sets the first vertex and the subsequent pairs should proceed clockwise or counter-clockwise around the defined shape.
Syntax |
    quad(x1, y1, x2, y2, x3, y3, x4, y4)
Parameters |
x1 | float: x-coordinate of the first corner
y1 | float: y-coordinate of the first corner
x2 | float: x-coordinate of the second corner
y2 | float: y-coordinate of the second corner
x3 | float: x-coordinate of the third corner
y3 | float: y-coordinate of the third corner
x4 | float: x-coordinate of the fourth corner
y4 | float: y-coordinate of the fourth corner
Returns | void

Updated on October 26, 2013 08:58:31pm PDT